package com.jy.system.model.table;


import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;
import com.jy.system.model.entity.SysUserRole;

public class SysUserRoleTable extends Table<SysUserRole> {

    public static SysUserRoleTable sys_user_role = new SysUserRoleTable();
    public static SysUserRoleTable sur = sys_user_role.as("sur");

    /**
     * 用户角色关联id
     */
    public QueryColumn id = this.field(SysUserRole::getId);

    /**
     * 用户id
     */
    public QueryColumn userId = this.field(SysUserRole::getUserId);

    /**
     * 角色id
     */
    public QueryColumn roleId = this.field(SysUserRole::getRoleId);

    private SysUserRoleTable() {
        super(SysUserRole.class);
    }

    private SysUserRoleTable(String alias) {
        super(SysUserRole.class, alias);
    }

    public SysUserRoleTable as(String alias) {
        return new SysUserRoleTable(alias);
    }

}
